package cn.com.tenlion.systembase.controller.route.keyareacheckrenovationpatrol;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: KeyAreaCheckRenovationPatrolController
 * @Description: 重点区域巡查记录
 * @Author: CodeFactory
 * @Date: 2021-10-20 09:50:11
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "重点区域巡查记录路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/keyareacheckrenovationpatrol")
public class KeyAreaCheckRenovationPatrolRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("keyareacheckrenovationpatrol/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("keyareacheckrenovationpatrol/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("keyareacheckrenovationpatrol/list");
    }

}